org.gradle.api.reporting

## Interface ConfigurableReport

- All Superinterfaces:
    org.gradle.util.Configurable<Report>, Report, Serializable
  All Known Subinterfaces:
    DirectoryReport, FindBugsXmlReport, JUnitXmlReport, SingleFileReport

      @Incubating
      public interface ConfigurableReport
      extends Report

  A file based report to be created with a configurable destination.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.reporting.Report

      `Report.OutputType`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.reporting.Report

      `NAMER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setDestination(Object file)` Sets the destination for the report.

    - ### Methods inherited from interface org.gradle.api.reporting.Report

      `getDestination, getDisplayName, getName, getOutputType, isEnabled, setEnabled`

    - ### Methods inherited from interface org.gradle.util.Configurable

      `configure`

- - ### Method Detail

    - #### setDestination

          void setDestination(Object file)

      Sets the destination for the report. The file parameter is evaluated as per `Project.file(Object)`.
      Parameters:
        `file` - The destination for the report.